package com.zhangmeng.online.exam.ui.components.callBack;

import com.zhangmeng.online.exam.ui.api.ApiUtils;
import com.zhangmeng.online.exam.ui.api.DataLoad;
import com.zhangmeng.online.exam.ui.components.DynamicTableComponent;
import javafx.beans.property.SimpleStringProperty;
import javafx.scene.Node;
import javafx.scene.Parent;
import javafx.stage.Stage;

import java.util.List;
import java.util.Map;

/**
 * @author zm
 * @date 2025/3/14 15:34
 * @version: 1.0
 */
public interface DynamicTableComponentCallBack {

    public ApiUtils.DataView flushData(Integer pageNum, Integer pageSize);

    //新增数据
    public void Add(Parent node, Stage primaryStage, DynamicTableComponent dynamicTableComponent);

    public Parent getAddForm();

    void delete(String s);

    void edit(String s,DynamicTableComponent dynamicTableComponent);

    void update(DynamicTableComponent dynamicTableComponent, String id, String name, String oldValue, String newValue);
}
